#ifndef DMXWIDGET_H
#define DMXWIDGET_H

#include <QCheckBox>
#include <QGroupBox>
#include <QVBoxLayout>
#include <QTimer>

class dmxWidget : public QGroupBox
{
    Q_OBJECT

public:
    dmxWidget(QWidget *parent);
    ~dmxWidget();

public slots:
    void updateWatchDMX(int uni);

private:
    QCheckBox *m_receiveDMX;
    QTimer *m_watchDMX;

private slots:
   void watchDMXExpired();

};

#endif // DMXWIDGET_H
